package com.tsconsulting.dsubbotin.tm.endpoint;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.Action;
import javax.xml.ws.FaultAction;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;

/**
 * This class was generated by Apache CXF 3.4.3
 * 2021-07-28T15:37:14.235+03:00
 * Generated source version: 3.4.3
 */
@WebService(targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", name = "ProjectTaskEndpoint")
@XmlSeeAlso({ObjectFactory.class})
public interface ProjectTaskEndpoint {

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectTaskEndpoint/unbindTaskFromProjectRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectTaskEndpoint/unbindTaskFromProjectResponse", fault = {@FaultAction(className = AbstractException_Exception.class, value = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectTaskEndpoint/unbindTaskFromProject/Fault/AbstractException")})
    @RequestWrapper(localName = "unbindTaskFromProject", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.UnbindTaskFromProject")
    @ResponseWrapper(localName = "unbindTaskFromProjectResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.UnbindTaskFromProjectResponse")
    public void unbindTaskFromProject(

            @WebParam(name = "session", targetNamespace = "")
                    com.tsconsulting.dsubbotin.tm.endpoint.SessionDTO session,
            @WebParam(name = "projectId", targetNamespace = "")
                    java.lang.String projectId,
            @WebParam(name = "taskId", targetNamespace = "")
                    java.lang.String taskId
    ) throws AbstractException_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectTaskEndpoint/removeProjectByIndexRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectTaskEndpoint/removeProjectByIndexResponse", fault = {@FaultAction(className = AbstractException_Exception.class, value = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectTaskEndpoint/removeProjectByIndex/Fault/AbstractException")})
    @RequestWrapper(localName = "removeProjectByIndex", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.RemoveProjectByIndex")
    @ResponseWrapper(localName = "removeProjectByIndexResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.RemoveProjectByIndexResponse")
    public void removeProjectByIndex(

            @WebParam(name = "session", targetNamespace = "")
                    com.tsconsulting.dsubbotin.tm.endpoint.SessionDTO session,
            @WebParam(name = "index", targetNamespace = "")
                    int index
    ) throws AbstractException_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectTaskEndpoint/findAllTasksByProjectIdRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectTaskEndpoint/findAllTasksByProjectIdResponse", fault = {@FaultAction(className = AbstractException_Exception.class, value = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectTaskEndpoint/findAllTasksByProjectId/Fault/AbstractException")})
    @RequestWrapper(localName = "findAllTasksByProjectId", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.FindAllTasksByProjectId")
    @ResponseWrapper(localName = "findAllTasksByProjectIdResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.FindAllTasksByProjectIdResponse")
    @WebResult(name = "return", targetNamespace = "")
    public java.util.List<com.tsconsulting.dsubbotin.tm.endpoint.TaskDTO> findAllTasksByProjectId(

            @WebParam(name = "session", targetNamespace = "")
                    com.tsconsulting.dsubbotin.tm.endpoint.SessionDTO session,
            @WebParam(name = "id", targetNamespace = "")
                    java.lang.String id
    ) throws AbstractException_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectTaskEndpoint/removeAllProjectRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectTaskEndpoint/removeAllProjectResponse", fault = {@FaultAction(className = AbstractException_Exception.class, value = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectTaskEndpoint/removeAllProject/Fault/AbstractException")})
    @RequestWrapper(localName = "removeAllProject", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.RemoveAllProject")
    @ResponseWrapper(localName = "removeAllProjectResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.RemoveAllProjectResponse")
    public void removeAllProject(

            @WebParam(name = "session", targetNamespace = "")
                    com.tsconsulting.dsubbotin.tm.endpoint.SessionDTO session
    ) throws AbstractException_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectTaskEndpoint/bindTaskToProjectRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectTaskEndpoint/bindTaskToProjectResponse", fault = {@FaultAction(className = AbstractException_Exception.class, value = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectTaskEndpoint/bindTaskToProject/Fault/AbstractException")})
    @RequestWrapper(localName = "bindTaskToProject", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.BindTaskToProject")
    @ResponseWrapper(localName = "bindTaskToProjectResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.BindTaskToProjectResponse")
    public void bindTaskToProject(

            @WebParam(name = "session", targetNamespace = "")
                    com.tsconsulting.dsubbotin.tm.endpoint.SessionDTO session,
            @WebParam(name = "projectId", targetNamespace = "")
                    java.lang.String projectId,
            @WebParam(name = "taskId", targetNamespace = "")
                    java.lang.String taskId
    ) throws AbstractException_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectTaskEndpoint/removeProjectByNameRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectTaskEndpoint/removeProjectByNameResponse", fault = {@FaultAction(className = AbstractException_Exception.class, value = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectTaskEndpoint/removeProjectByName/Fault/AbstractException")})
    @RequestWrapper(localName = "removeProjectByName", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.RemoveProjectByName")
    @ResponseWrapper(localName = "removeProjectByNameResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.RemoveProjectByNameResponse")
    public void removeProjectByName(

            @WebParam(name = "session", targetNamespace = "")
                    com.tsconsulting.dsubbotin.tm.endpoint.SessionDTO session,
            @WebParam(name = "name", targetNamespace = "")
                    java.lang.String name
    ) throws AbstractException_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectTaskEndpoint/removeProjectByIdRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectTaskEndpoint/removeProjectByIdResponse", fault = {@FaultAction(className = AbstractException_Exception.class, value = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectTaskEndpoint/removeProjectById/Fault/AbstractException")})
    @RequestWrapper(localName = "removeProjectById", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.RemoveProjectById")
    @ResponseWrapper(localName = "removeProjectByIdResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.RemoveProjectByIdResponse")
    public void removeProjectById(

            @WebParam(name = "session", targetNamespace = "")
                    com.tsconsulting.dsubbotin.tm.endpoint.SessionDTO session,
            @WebParam(name = "id", targetNamespace = "")
                    java.lang.String id
    ) throws AbstractException_Exception;
}
